Extract features from text
POST
/api/v1/prompt-features/extract-from-text
const url = 'https://example.com/api/v1/prompt-features/extract-from-text?projectId=00000000-0000-0000-0000-000000000000';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"text":"example","model":"example","type":"select"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/prompt-features/extract-from-text?projectId=00000000-0000-0000-0000-000000000000' \ --header 'Content-Type: application/json' \ --data '{ "text": "example", "model": "example", "type": "select" }'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
Optional project scope. When provided, a slug/id is resolved within that project (slugs may repeat across projects); when omitted, resolution falls back to a legacy global lookup for backward compatibility.
string
Optional project scope. When provided, a slug/id is resolved within that project (slugs may repeat across projects); when omitted, resolution falls back to a legacy global lookup for backward compatibility.
Request Body
Section titled “Request Body ” Media type application/json
object
text
required
string
model
string
type
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
features
required
Array<object>
object
featureId
required
string
detected
required
boolean
evaluated
required
boolean
suggestedFeatures
Array<object>
object
suggestedId
required
string
behavior
required
string
prompt
required
string
cached
required
boolean
Empty text string
LLM not configured